<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml" indent="yes" encoding="utf-8"/>
	<xsl:template match="/">
		<HWDiscovery>
			<xsl:for-each select="//HWDiscovery/ServerInformation">
				<serverinfo>
					<servertype>
						<xsl:value-of select="SystemName"/>
					</servertype>
					<serverid>
						<xsl:value-of select="SystemId"/>
					</serverid>
					<serialnumber>
						<xsl:value-of select="SerialNumber"/>
					</serialnumber>
					<xsl:copy-of select="bladeserver"/>
					<memory>
						<xsl:value-of select="RAM"/>
					</memory>
					<rom>
						<family>
							<xsl:value-of select="ROM"/>
						</family>
						<version>
							<xsl:value-of select="ROMDate"/>
						</version>
					</rom>
				</serverinfo>
				<cpuinfo>
					<count>
						<xsl:value-of select="Processors/Number"/>
					</count>
					<vendor>
						<xsl:value-of select="Processors/Processor/Manufacturer"/>
					</vendor>
					<family>
						<xsl:value-of select="Processors/Processor/Version"/>
					</family>
					<architecture></architecture>
					<speed>
						<xsl:value-of select="Processors/Processor/Speed"/>
					</speed>
				</cpuinfo>
			</xsl:for-each>
			<xsl:for-each select="//HWDiscovery/PCIDevices">
				<pcidevices>
					<xsl:for-each select="PCIDevice">
						<pcidevice>
							<name></name>
							<bus>
								<xsl:value-of select="Bus"/>
							</bus>
							<rom>
								<xsl:value-of select="rom"/>
							</rom>
							<deviceid>
								<mainid><xsl:value-of select="Id"/></mainid>
								<subid><xsl:value-of select="SubId"/></subid>
							</deviceid>
							<slot>
								<xsl:value-of select="SlotNumber"/>
							</slot>
							<classcode>
								<xsl:value-of select="Device"/>
							</classcode>
							<class></class>
							<subclass></subclass>
						</pcidevice>
					</xsl:for-each>
				</pcidevices>
			</xsl:for-each>
			<xsl:copy-of select="//HWDiscovery/pnpdevices"/>
			<xsl:copy-of select="//HWDiscovery/storage_info"/>
			<xsl:copy-of select="//HWDiscovery/device_info"/>
			<xsl:copy-of select="//HWDiscovery/EnvironmentVariables"/>
			<xsl:copy-of select="//HWDiscovery/os"/>
		</HWDiscovery>
	</xsl:template>
</xsl:stylesheet>